program nuascanner ;
type
  meldung1 = string[255] ;
  clear1 = string[5] ;

  scan = record
          anua : real ;
          enua : real ;
          pnua : real ;
          clear : clear1 ;
         end ;

  scan1 = record
           meldung : meldung1 ;
          end ;

var
  xxblock : scan ;
  xxblock1 : scan1 ;
  test : file of scan ;
  test1 : file of scan1 ;
  t : integer ;

procedure copyright ;
begin
 clrscr ;
 writeln ; writeln ; writeln ;
 writeln('------------------------------') ;
 writeln('Nua Scanner Version 1.0') ;
 writeln ;
 writeln('Written by Axel Fischer-Berlin') ;
 writeln('------------------------------') ;
 writeln ; writeln ;
end ;

procedure eingeben ;
begin
 assign(test,'aux:') ;
 rewrite(test) ;
 assign(test1,'aux:') ;
 rewrite(test1) ;
  with xxblock do
   begin
    clear := (chr($10) + chr($63) + chr($6c) + chr($72) + chr($0d)) ;
    write('Anfangsnua :') ;
    readln(anua) ;
    write('Endnua :') ;
    readln(enua) ;
    write('Parknua :') ;
    readln(pnua) ;
     while anua < enua do
      begin
       for t := 1 to 3 do ;
        begin
         write(test,xxblock) ;
         anua := anua + 1 ;
          with xxblock1 do
           begin
            while not eof(test1) do
             begin
              read(test,xxblock) ;
             end ;
           end ;
        end ;
        write(test,xxblock) ;
         with xxblock1 do
          begin
           while not eof(test1) do
            begin
             read(test,xxblock) ;
            end ;
          end ;
        write(test,xxblock) ;
         with xxblock1 do
          begin
           while not eof(test1) do
            begin
             read(test,xxblock) ;
            end ;
          end ;
      end ;
   end ;
end ;

begin
 copyright ;
 eingeben ;
end .








